Subject: [resend with typo fixed -- sorry] Function of int-serv working group

From: braden (Bob Braden)
Date: Mon, 23 May 1994 16:59:28 -0700

*> Return-Path: [email-masked]
  *> Received: from hofmann.CS.Berkeley.EDU by tenet.ICSI.Berkeley.EDU (5.63/1.42)
  *> 	id AA27934; Wed, 18 May 94 18:17:35 -0700
  *> Received: from venera.isi.edu (venera.isi.edu [128.9.0.32]) by hofmann.CS.Berkeley.EDU (8.6.8/8.6.6.Beta11) with SMTP id SAA06964 for <[email-masked]>; Wed, 18 May 1994 18:17:32 -0700
  *> Received: from tenet.ICSI.Berkeley.EDU by venera.isi.edu (5.65c/5.61+local-14)
  *> 	id <AA15041>; Wed, 18 May 1994 18:07:09 -0700
  *> Received: by tenet.ICSI.Berkeley.EDU (5.63/1.42)
  *> 	id AA27676; Wed, 18 May 94 18:07:00 -0700
  *> Message-Id: <[email-masked]>
  *> To: [email-masked], [email-masked], [email-masked]
  *> Cc: [email-masked]
  *> Subject: Re: Comments on RSVP, etc. (flow spec conformance) 
  *> In-Reply-To: Your message of "Tue, 17 May 1994 14:54:03 +0800."
  *>              <[email-masked]> 
  *> Date: Wed, 18 May 1994 18:07:00 PDT
  *> From: "Amit Gupta" <[email-masked]>
  *> 
  *> 

...

  *> 
  *> As per my understanding (and please do correct me if I am mistaken), the
  *> int-service work attempts to provide a single packet scheduler with the
  *> ability to support multiple service types (deterministic, stat guaranteed,
  *> predictive, best-effort, along with link-sharing). That is different
  *> from what I was talking about (in my reply to Jon's email). 
  *> 

Amit,

I *would* like to correct this, since I think it reflects a misunderstanding of
the mission of the int-serv working group [I am surprised that other
int-serv people did not react.]   In fact, the int-serv WG mission
assumes your thesis, that the service model can be enforced over a path
that includes different scheduling algorithms.  The WG does NOT intend
to standardize on a particular scheduler, but rather to specify
conformance tests for the service model, to be used to judge
conformance of a particular scheduler algorithm. The CSZ algorithm was
introduced only as an example of a mechanism that will support both
guaranteed and predictive service (as well as link sharing).

Of course, they haven't done it yet, so it is still only a conjecture
that this effort will be successful.

Bob Braden

----- End Included Message -----